Subject: Re: bug#48659: Escapes are deleted after executing "dired-toggle-read-only" in *Find* buffer

From: Robert Pluim <[email-masked]>
Date: Thu, 27 May 2021 11:14:50 +0200

>>>>> On Wed, 26 May 2021 20:18:15 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Rodrigo Morales <[email-masked]>
    >> Cc: [email-masked]
    >> Date: Wed, 26 May 2021 10:16:55 -0500
    >> 
    >> Eli Zaretskii <[email-masked]> writes:
    >> 
    >> > I cannot reproduce this.  Which version of Emacs is this, and on what
    >> > platform/OS?  Also, does the problem happen for you in "emacs -Q"?
    >> 
    >> When I reported the bug, I had only tried it in a running Emacs instance
    >> (i.e. my configurations had been loaded).
    >> 
    >> However, I've just tried reproducing the issue in "emacs -Q" and I
    >> can reproduce it.
    >> 
    >> I'm using GNU Emacs 27.2 in Arch Linux.

    Eli> I tried also Emacs 27.2 on Trisquel.

    Eli> Can anyone else reproduce this strange problem?  I don't see how we
    Eli> could debug this without being able to reproduce.

I can reproduce this on Debian 10, with:

find --version
find (GNU findutils) 4.8.0

Something is definitely going wrong, because after exiting read-write
mode with wdired-finish-edit I end up with *Find* buffer containing
only the header lines:

  /tmp/48659:
  789065 4 drwxr-xr-x 4 rpluim rpluim 4096 May 27 10:57 /tmp/48659/

(but this happens even when the file names involved donʼt have spaces,
so perhaps itʼs a more generic issue).

Robert
--